--- /dev/null
+++ b/gb_graph_headers.ch
@@ -0,0 +1,19 @@
+@x GNU/Linux uses string.h but doesn't define SYSV
+#ifdef SYSV
+#include <string.h>
+#else
+#include <strings.h>
+#endif
+@y
+#include <string.h>
+@z
+
+@x ... twice!
+#ifdef SYSV
+#include <string.h>
+#else
+#include <strings.h>
+#endif
+@y
+#include <string.h>
+@z
--- /dev/null
+++ b/gb_io_headers.ch
@@ -0,0 +1,9 @@
+@x GNU/Linux uses string.h but doesn't define SYSV
+#ifdef SYSV
+#include <string.h>
+#else
+#include <strings.h>
+#endif
+@y
+#include <string.h>
+@z
